<!doctype html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<title>Object-o-matic</title>
	<script>
		function makeEngine() {
			//Moottoritaulukot
			var cylinders = ['V4', 'V6', 'V8'];
			var ccvolume = ['1000cc', '2000cc', '3000cc', '4000cc'];
			var fuel = ['Diesel', 'Gas'];

			var rand1 = Math.floor(Math.random() * cylinders.length);
			var rand2 = Math.floor(Math.random() * ccvolume.length);
			var rand3 = Math.floor(Math.random() * fuel.length);
			var rand4 = Math.floor(Math.random() * 1000) + 'Nm';

			var engine = {
				cylinder: cylinders[rand1],
				cc: ccvolume[rand2],
				fuel: fuel[rand3],
				torque: rand4
			};

			return engine;
		}

		function makeCar() {
			// taulukoidaan autot
			var makes = ['Chevy', 'GM', 'Fiat', 'Webville Motors', 'Tucker'];
			var models = ['Cadillac', '500', 'Bel-Air', 'Taxi', 'Torpedo'];
			var years = [1955, 1957, 1948, 1954, 1961];
			var colors = ['red', 'blue', 'tan', 'yellow', 'white'];
			var convertible = [true, false];

			//Luodaan moottori
			
			//Luodaan randomarvot
			var rand1 = Math.floor(Math.random() * makes.length);
			var rand2 = Math.floor(Math.random() * models.length);
			var rand3 = Math.floor(Math.random() * years.length);
			var rand4 = Math.floor(Math.random() * colors.length);
			var rand5 = Math.floor(Math.random() * 5);
			var rand6 = Math.floor(Math.random() * 2);

			

			//Luodaan olio randomarvoilla
			var car = {
				make: makes[rand1],
				model: models[rand2],
				year: years[rand3],
				color: colors[rand4],
				passengers: rand5,
				convertible: convertible[rand6],
				mileage: 0,
				engine: makeEngine()
			};
			return car;
		}



		function displayCar(car) {
			console.log('Your new car is a ' + car.year + ' ' + car.make + ' ' + car.model + '' + JSON.stringify(car.engine));
			console.log('Your new car is a ' + car.year + ' ' + car.make + ' ' + car.model + ' ' + ' ' + car.engine.cc + ' '+ car.engine.cylinder + ' ' +car.engine.fuel+ ' '+car.engine.torque);
		}

		var carToSell = makeCar();
		displayCar(carToSell);
	</script>
</head>

<body></body>

</html>
